#!/bin/bash -e
# *********************************************************************
#              __  __  ___  _  _  ___   ___ _    ___
#             |  \/  |/ _ \| \| |/ _ \ / __| |  | __|
#             | |\/| | (_) | .` | (_) | (__| |__| _|
#             |_|  |_|\___/|_|\_|\___/ \___|____|___|
#
#  -------------------------------------------------------------------
#                MONOCLE GATEWAY UNINSTALL SCRIPT
#       COPYRIGHT SHADEBLUE, LLC @ 2019, ALL RIGHTS RESERVED
#  -------------------------------------------------------------------
#
# *********************************************************************

echo "-----------------------------------"
echo "Uninstalling Monocle Gateway"
echo "-----------------------------------"

# REQUIRE 'sudo' PRIVILEGES
if [[ $(id -u) != 0 ]]; then
    echo "Please run this script with sudo:" >&2
    echo "sudo $0 $*" >&2
    exit 1
fi

# Uninstall Monocle Gateway as a system service
echo "Stopping and removing Monocle Gateway service daemon"
launchctl unload /Library/LaunchDaemons/com.monoclecam.gateway.plist

# Remove executables files from install location
echo "Uninstalling executables binaries from: '/usr/local/bin'"
rm /usr/local/bin/monocle-gateway || :
rm /usr/local/bin/monocle-proxy   || :

# Remove launchd service file from install location
echo "Uninstall systemd service from: '/Library/LaunchDaemons/com.monoclecam.gateway.plist'"
rm /Library/LaunchDaemons/com.monoclecam.gateway.plist || :

echo "-----------------------------------"
echo "Monocle Gateway Uninstalled"
echo "-----------------------------------"
